const fs = require('fs')
const path = require('path')
const { expect } = require('chai')
const { compile, compileAndExecute } = require('./helper')

function readFile (filePath) {
  return fs.readFileSync(path.join(__dirname, filePath), 'utf8')
}

function createTestSuit (name) {
  return done => {
    const source = readFile(`./cases/${name}.vue`)
    const target = readFile(`./cases/${name}.vdom.js`)
    compileAndExecute(source).then($root => {
      expect($root).to.deep.equal(eval(`(${target})`))
      done()
    }).catch(done)
  }
}

describe('compiler', () => {
  it('generate code', done => {
    compile(readFile('./cases/sample.vue')).then(result => {
      expect(result.code).to.be.a('string')
      done()
    }).catch(done)
  })

  it('run', createTestSuit('sample'))
})
